Page MenuHomeFreeBSD

memalign(3)
ClosedPublic

Authored by kib on Apr 5 2020, 11:32 PM.

Details

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kib created this revision.Apr 5 2020, 11:32 PM
kib added inline comments.
include/stdlib.h
242 ↗(On Diff #70240)

This can be moved to malloc.h when the D24297 lands.

imp accepted this revision.Apr 6 2020, 5:26 PM

Landing it like this, or with memalign moved to malloc.h to avoid new namespace pollution are both good, but if I had my choice, I'd do the latter.

This revision is now accepted and ready to land.Apr 6 2020, 5:26 PM
kib updated this revision to Diff 71694.May 12 2020, 6:25 PM
kib added a subscriber: jbeich.

Move memalign(3) proto to malloc.h (really malloc_np.h).

This revision now requires review to proceed.May 12 2020, 6:25 PM
emaste accepted this revision.May 14 2020, 6:23 PM
emaste added inline comments.
lib/libc/gen/memalign.c
5–6 ↗(On Diff #71694)

This could omit the "Portions of" -- just "This software was..."

This revision is now accepted and ready to land.May 14 2020, 6:23 PM
This revision was automatically updated to reflect the committed changes.